DeluxHostAPI Reference
Platform status

Get platform status

GET
/v1/status

Authorization

apiToken account:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
updatedAt*string
summary*
categories*array<>
services*array<>
locations*array<>
incidents*array<>
curl -X GET 'https://api.deluxhost.net/v1/status' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "updatedAt": "string",  "summary": {    "overallStatus": "operational",    "operationalServices": 0,    "totalServices": 0,    "onlineLocations": 0,    "totalLocations": 0,    "uptime30d": "string",    "uptime90d": "string",    "uptime365d": "string"  },  "categories": [    {      "id": "string",      "name": "string",      "description": null    }  ],  "services": [    {      "id": "string",      "name": "string",      "description": null,      "uptime": "string",      "days": [        "operational"      ],      "category": null,      "nodes": [        {          "id": "string",          "name": "string",          "location": "string",          "status": "operational",          "uptime": null        }      ]    }  ],  "locations": [    {      "code": "string",      "flag": "string",      "name": "string",      "region": "string",      "status": "operational",      "latency": null    }  ],  "incidents": [    {      "id": 0,      "title": "string",      "affected": "string",      "status": "maintenance",      "date": "string",      "time": "string",      "endDate": "string",      "endTime": "string",      "updates": [        {          "time": "string",          "message": "string"        }      ]    }  ]}